Bug 435408 - Cannot start up pirut or run yum from console.
Cannot start up pirut or run yum from console.
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: yum (Show other bugs)
8
i686 Linux
low Severity high
: ---
: ---
Assigned To: Seth Vidal
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-02-28 23:12 EST by Les Warren
Modified: 2009-06-06 23:27 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-03-12 12:52:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Les Warren 2008-02-28 23:12:09 EST
Description of problem:When I try to open the Add/Remove Software component I 
get the following exception:

Component: pirut
Summary: TB76714bb2 config.py:80:__set__:ValueError: Error 
parsing 'file://media/Fedora 8 i386 DVD': URL must be http, ftp, file or https 
not ""

Traceback (most recent call last):
  File "/usr/sbin/pirut", line 476, in <module>
    main()
  File "/usr/sbin/pirut", line 469, in main
    pm = PackageManager(options.config, options.onlyrepo)
  File "/usr/sbin/pirut", line 63, in __init__
    GraphicalYumBase.__init__(self, False, config)
  File "/usr/lib/python2.5/site-packages/pirut/__init__.py", line 129, in 
__init__
    plugin_types=(yum.plugins.TYPE_CORE,))
  File "/usr/lib/python2.5/site-packages/yum/__init__.py", line 113, in 
doConfigSetup
    errorlevel=errorlevel)
  File "/usr/lib/python2.5/site-packages/yum/__init__.py", line 164, in 
_getConfig
    self.getReposFromConfig()
  File "/usr/lib/python2.5/site-packages/yum/__init__.py", line 237, in 
getReposFromConfig
    thisrepo = self.readRepoConfig(parser, section)
  File "/usr/lib/python2.5/site-packages/yum/__init__.py", line 259, in 
readRepoConfig
    repo.populate(parser, section, self.conf)
  File "/usr/lib/python2.5/site-packages/yum/config.py", line 376, in populate
    setattr(self, name, value)
  File "/usr/lib/python2.5/site-packages/yum/config.py", line 80, in __set__
    raise ValueError('Error parsing %r: %s' % (value, str(e)))
ValueError: Error parsing 'file://media/Fedora 8 i386 DVD': URL must be http, 
ftp, file or https not ""

Local variables in innermost frame:
obj: InstallMedia
self: <yum.config.UrlListOption object at 0x88d8d6c>
e: URL must be http, ftp, file or https not ""
value: file://media/Fedora 8 i386 DVD


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:Cannot run any yum commands from the console, they all return:
Component: pirut
Summary: TB76714bb2 config.py:80:__set__:ValueError: Error 
parsing 'file://media/Fedora 8 i386 DVD': URL must be http, ftp, file or https 
not ""

Traceback (most recent call last):
  File "/usr/sbin/pirut", line 476, in <module>
    main()
  File "/usr/sbin/pirut", line 469, in main
    pm = PackageManager(options.config, options.onlyrepo)
  File "/usr/sbin/pirut", line 63, in __init__
    GraphicalYumBase.__init__(self, False, config)
  File "/usr/lib/python2.5/site-packages/pirut/__init__.py", line 129, in 
__init__
    plugin_types=(yum.plugins.TYPE_CORE,))
  File "/usr/lib/python2.5/site-packages/yum/__init__.py", line 113, in 
doConfigSetup
    errorlevel=errorlevel)
  File "/usr/lib/python2.5/site-packages/yum/__init__.py", line 164, in 
_getConfig
    self.getReposFromConfig()
  File "/usr/lib/python2.5/site-packages/yum/__init__.py", line 237, in 
getReposFromConfig
    thisrepo = self.readRepoConfig(parser, section)
  File "/usr/lib/python2.5/site-packages/yum/__init__.py", line 259, in 
readRepoConfig
    repo.populate(parser, section, self.conf)
  File "/usr/lib/python2.5/site-packages/yum/config.py", line 376, in populate
    setattr(self, name, value)
  File "/usr/lib/python2.5/site-packages/yum/config.py", line 80, in __set__
    raise ValueError('Error parsing %r: %s' % (value, str(e)))
ValueError: Error parsing 'file://media/Fedora 8 i386 DVD': URL must be http, 
ftp, file or https not ""

Local variables in innermost frame:
obj: InstallMedia
self: <yum.config.UrlListOption object at 0x88d8d6c>
e: URL must be http, ftp, file or https not ""
value: file://media/Fedora 8 i386 DVD
Comment 1 Jeremy Katz 2008-02-29 20:54:33 EST
What are the contents of /etc/yum.repos.d/*?
Comment 2 Seth Vidal 2008-03-12 12:52:44 EDT
your url is file://media/Fedora 8 i386 DVD

file urls require 3 ///

so it should be file:///media/Fedora 8 i386 DVD

I think that should help.
Comment 3 Guy Resh 2009-06-06 23:27:20 EDT
...and if THAT doesn't work, I worked around this issue with a simple symlink (figuring there were issues with processing spaces in the mounted path name); i.e.

$ cd /media
$ ln -s Fedora\ 8\ i386\ DVD/ Fedora8

...then in /etc/yum.repos.d/Fedora-install-media.repo, I just set baseurl = file:///media/Fedora8 and was able to install whatever I wanted off the DVD/ISO image.

Note You need to log in before you can comment on or make changes to this bug.